## org.eclipse.e4.xwt
Class ResourceDictionary

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.eclipse.e4.xwt.ResourceDictionary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

    public class ResourceDictionary

extends java.util.HashMap<java.lang.String,java.lang.Object>

See Also:
  Serialized Form

Constructor Summary
`ResourceDictionary()`

Method Summary

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ResourceDictionary

    public ResourceDictionary()